import request from '@/utils/request'

// 查询财务数据主列表
export function listFee(query) {
  return request({
    url: '/finance/contrast/list',
    method: 'get',
    params: query
  })
}

// 查询财务数据主详细
export function getFee(fId) {
  return request({
    url: '/finance/contrast/' + fId,
    method: 'get'
  })
}

// 新增财务数据主
export function addFee(data) {
  return request({
    url: '/finance/contrast',
    method: 'post',
    data: data
  })
}

// 修改财务数据主
export function updateFee(data) {
  return request({
    url: '/finance/contrast',
    method: 'put',
    data: data
  })
}

// 删除财务数据主
export function delFee(fId) {
  return request({
    url: '/finance/contrast/' + fId,
    method: 'delete'
  })
}

// 导出财务数据主
export function exportFee(query) {
  return request({
    url: '/finance/contrast/export',
    method: 'get',
    params: query
  })
}

// 导入搜索
export function importFee(TWareHouseFees) {
  return request({
    url: '/finance/charge/chargeList',
    method: 'get',
    params: TWareHouseFees,
    tFee:TWareHouseFees,
    tFeeDo:TWareHouseFees
  })
}